<script>
  import { Router, links, Route } from "svelte-routing";
  import About from "./pages/About.svelte";
  import Home from "./pages/Home.svelte";
  import Layout from "./components/Layout.svelte";
  import Mails from "./pages/Mails.svelte";
  import Groups from "./pages/Groups.svelte";
  import EmailsToSend from "./pages/EmailsToSend.svelte";
  import Login from "./pages/Login.svelte";
    import { writable } from "svelte/store";

  // // Creamos un store para manejar el estado de autenticación
  // const isAuthenticated = writable(false);

  // // Creamos una ruta privada que redirige a la página de inicio de sesión si el usuario no está autenticado
  // const PrivateRoute = ({ component: Component, ...props }) => {
  //   $isAuthenticated.subscribe((isAuth) => {
  //     if (!isAuth) {
  //       window.location.href = "/ingresa"; // Redirigir a la página de inicio de sesión si no está autenticado
  //     }
  //   });

  //   return <Route {...props} component={Component} />;
  // };

  // // Creamos una ruta pública que solo se muestra si el usuario no está autenticado
  // const PublicRoute = ({ component: Component, ...props }) => {
  //   $isAuthenticated.subscribe((isAuth) => {
  //     if (isAuth) {
  //       window.location.href = "/"; // Redirigir a la página principal si ya está autenticado
  //     }
  //   });

  //   return <Route {...props} component={Component} />;
  // };
</script>

<main>
  <Router>
    <div>
      <Route path="/" component={Home} />
      <Route path="/ingresa" component={Login} />
      <Route path="/correos" component={Mails} />
      <Route path="/grupos" component={Groups} />
      <Route path="/envio" component={EmailsToSend} />
    </div>
  </Router>
</main>

<style>
</style>
